## org.apache.lucene.queryParser.standard.config
Class RangeCollatorAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.RangeCollatorAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, RangeCollatorAttribute, Attribute

Deprecated.

    @Deprecated
    public class RangeCollatorAttributeImpl

extends AttributeImpl
implements RangeCollatorAttribute, ConfigAttribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `Collator` should be used for a `TermRangeQuery`

See Also:
  `RangeCollatorAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`RangeCollatorAttributeImpl()` Deprecated.

Method Summary
`void` `clear()` Deprecated. Clears the values in this AttributeImpl and resets it to its default value.
`void` `copyTo(AttributeImpl target)` Deprecated. Copies the values from this Attribute into the passed-in target attribute.
`boolean` `equals(Object other)` Deprecated.
`Collator` `getRangeCollator()` Deprecated.
`int` `hashCode()` Deprecated.
`void` `setDateResolution(Collator rangeCollator)` Deprecated.
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` `toString()` Deprecated. Returns a string representation of the object.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeCollatorAttributeImpl

    public RangeCollatorAttributeImpl()

  Deprecated.

Method Detail

### setDateResolution

    public void setDateResolution(Collator rangeCollator)

  Deprecated.
  Specified by:
    `setDateResolution` in interface `RangeCollatorAttribute`

### getRangeCollator

    public Collator getRangeCollator()

  Deprecated.
  Specified by:
    `getRangeCollator` in interface `RangeCollatorAttribute`

### clear

    public void clear()

  Deprecated.
  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Deprecated.
  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Description copied from class: `AttributeImpl`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object.

  WARNING: For backwards compatibility this method is implemented as `return reflectAsString(false)`. In Lucene 4.0 this default implementation will be removed. The reason for this is the problem of `CharTermAttributeImpl.toString()` that must return a string representation of the term's char sequence.

  It is recommeneded to use `AttributeImpl.reflectAsString(boolean)` or `AttributeImpl.reflectWith(org.apache.lucene.util.AttributeReflector)` to get a well-defined output of AttributeImpl's internals.

  Overrides:
    `toString` in class `AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`